Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1063007 - darktable-1.4.1 is available
Summary: darktable-1.4.1 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: darktable
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Edouard Bourguignon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-09 15:07 UTC by Upstream Release Monitoring
Modified: 2014-03-15 15:26 UTC (History)
2 users (show)

Fixed In Version: darktable-1.4.1-3.fc19
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-15 15:10:37 UTC


Attachments (Terms of Use)

Description Upstream Release Monitoring 2014-02-09 15:07:29 UTC
Latest upstream release: 1.4.1
Current version/release in Fedora Rawhide: 1.4-2.fc21
URL: http://sourceforge.net/api/file/index/project-name/darktable/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Fedora Update System 2014-03-02 14:02:01 UTC
darktable-1.4.1-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/darktable-1.4.1-1.fc19

Comment 2 Fedora Update System 2014-03-02 14:02:11 UTC
darktable-1.4.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/darktable-1.4.1-1.fc20

Comment 3 Didier G 2014-03-03 00:29:50 UTC
After update from 4-2 to 4.1-1, I get error on libdarktable.so and I am unable to start darktable:

Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
Mise à jour: darktable-.4.1-1.fc20.x86_64 1/2 
Nettoyage : darktable-.4-2.fc20.x86_64 2/2 
Vérification : darktable-.4.1-1.fc20.x86_64  1/2 
Vérification : darktable-.4-2.fc20.x86_64 2/2 
Mis à jour :
darktable.x86_64 0:1.4.1-1.fc20          
Terminé !

$ darktable
darktable: error while loading shared libraries: libdarktable.so: cannot open shared object file: No such file or directory


yum history undo to restore previuos versions fix this problem.

Comment 4 Fedora Update System 2014-03-03 03:06:50 UTC
Package darktable-1.4.1-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing darktable-1.4.1-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-3328/darktable-1.4.1-1.fc19
then log in and leave karma (feedback).

Comment 5 Didier G 2014-03-03 11:28:21 UTC
Running fedora 20 I just tried to reinstall darktable-1.4.1-1.fc20.x86_64.rpm from koji

I get same error "libdarktable.so: No such file or directory" event if libdarktable.so exists in /usr/lib64/darktable




Mis à jour :
  darktable.x86_64 0:1.4.1-1.fc20                                                                           
Terminé !

$ darktable
darktable: error while loading shared libraries: libdarktable.so: cannot open shared object file: No such file or directory

$ ll /usr/lib64/darktable/libdarktable.so
-rwxr-xr-x. 1 root root 2716360  2 mars  13:53 /usr/lib64/darktable/libdarktable.so

Comment 6 Edouard Bourguignon 2014-03-03 13:33:48 UTC
release -2 will fix that. Sorry.

Comment 7 Fedora Update System 2014-03-03 16:25:43 UTC
darktable-1.4.1-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/darktable-1.4.1-2.fc20

Comment 8 Fedora Update System 2014-03-03 16:25:58 UTC
darktable-1.4.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/darktable-1.4.1-2.fc19

Comment 9 Didier G 2014-03-03 19:25:31 UTC
Apologizes but there is still the same problem with libdarktable.so after update to darktable-1.4.1-2.fc20.x86_64



Running transaction
  Mise à jour  : darktable-1.4.1-2.fc20.x86_64 1/2 
  Nettoyage    : darktable-1.4.1-1.fc20.x86_64 2/2 
  Vérification : darktable-1.4.1-2.fc20.x86_64 1/2 
  Vérification : darktable-1.4.1-1.fc20.x86_64 2/2 

Mis à jour :
  darktable.x86_64 0:1.4.1-2.fc20

Terminé !

$ darktable
darktable: error while loading shared libraries: libdarktable.so: cannot open shared object file: No such file or directory

Comment 10 Didier G 2014-03-03 19:30:19 UTC
In addition:

$ whereis darktable
darktable: /usr/bin/darktable /usr/lib64/darktable /usr/share/darktable /usr/share/man/man1/darktable.1.gz

$ ldd /usr/bin/darktable
	linux-vdso.so.1 =>  (0x00007fff7b5fe000)
	libdarktable.so => not found
	libglib-2.0.so.0 => /lib64/libglib-2.0.so.0 (0x000000327ac00000)
	libgobject-2.0.so.0 => /lib64/libgobject-2.0.so.0 (0x000000327b400000)
	libgdk-x11-2.0.so.0 => /lib64/libgdk-x11-2.0.so.0 (0x0000003477a00000)
	libgtk-x11-2.0.so.0 => /lib64/libgtk-x11-2.0.so.0 (0x0000003477200000)
	libcairo.so.2 => /lib64/libcairo.so.2 (0x0000003476200000)
---/---

Comment 11 Didier G 2014-03-03 22:59:48 UTC
I just updated to darktable-1.4.1-3.fc20.x86_64.rpm from koji

This news version fixes problem and works fine.

Thanks for your work.

Comment 12 Fedora Update System 2014-03-04 07:51:59 UTC
darktable-1.4.1-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/darktable-1.4.1-3.fc20

Comment 13 Fedora Update System 2014-03-04 07:52:11 UTC
darktable-1.4.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/darktable-1.4.1-3.fc19

Comment 14 Fedora Update System 2014-03-15 15:10:37 UTC
darktable-1.4.1-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-03-15 15:26:49 UTC
darktable-1.4.1-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.